- Old audio framework is no longer compiled as we are going to use portaudio.

This commit is contained in:
xliska
2009-04-14 12:14:49 +00:00
parent e9bfd00dd0
commit de5e67a186
3 changed files with 6 additions and 1004 deletions

View File

@@ -36,8 +36,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# $Revision: 1.15 $
# $Date: 2009/04/14 11:49:15 $
# $Revision: 1.16 $
# $Date: 2009/04/14 12:14:49 $
#
AR = ar
@@ -46,8 +46,8 @@ CC = @CC@
CXX = @CXX@
LINKER = @LINKER@
CFLAGS = @DEFS@ @CFLAGS@ @X_CFLAGS@
LIBS = @AUDIO_HW_LIB@ @DVS_LIB@ @DXT_LIB@ @QUICKTIME_LIB@ @SAGE_LIB@ @X_PRE_LIBS@ @X_LIBS@ @X_EXTRA_LIBS@ @MATHLIBS@ @LIBS@ -lm
INC = -Isrc -Itest @AUDIO_HW_INC@ @DVS_INC@ @DXT_INC@ @QUICKTIME_INC@ @GL_INC@ @SAGE_INC@
LIBS = @DVS_LIB@ @DXT_LIB@ @QUICKTIME_LIB@ @SAGE_LIB@ @X_PRE_LIBS@ @X_LIBS@ @X_EXTRA_LIBS@ @MATHLIBS@ @LIBS@ -lm
INC = -Isrc -Itest @DVS_INC@ @DXT_INC@ @QUICKTIME_INC@ @GL_INC@ @SAGE_INC@
TARGET = bin/uv
BUNDLE = uv.app
@@ -70,34 +70,11 @@ OBJS = src/bitstream.o \
src/crypto/crypt_des.o \
src/crypto/md5.o \
src/crypto/random.o \
src/audio_hw.o \
src/audio_fmt.o \
@AUDIO_HW_OBJ@ \
src/audio_util.o \
src/audio_codec.o \
src/audio_codec/acm.o \
src/audio_codec/dvi.o \
src/audio_codec/dvi_impl.o \
src/audio_codec/g711.o \
src/audio_codec/l16.o \
src/audio_codec/l8.o \
src/audio_codec/vdvi.o \
src/audio_codec/vdvi_impl.o \
src/audio_codec/g726.o \
src/audio_codec/g726_impl.o \
src/audio_codec/g726_impl_16.o \
src/audio_codec/g726_impl_24.o \
src/audio_codec/g726_impl_32.o \
src/audio_codec/g726_impl_40.o \
src/audio_codec/lpc.o \
src/audio_codec/lpc_impl.o \
src/audio_codec/gsm.o \
src/audio_codec/gsm_impl.o \
src/video_codec.o \
src/video_codec/dv.o \
src/video_codec/uv_yuv.o \
src/video_capture.o \
src/video_capture/null.o \
src/video_capture/null.o \
src/video_capture/firewire_dv_freebsd.o \
@DVS_OBJ@ \
src/ihdtv/ihdtv.o \
@@ -148,15 +125,6 @@ TEST_OBJS = test/test_bitstream.o \
test/test_des.o \
test/test_md5.o \
test/test_random.o \
test/test_codec_g711.o \
test/test_codec_g726.o \
test/test_codec_dvi.o \
test/test_codec_vdvi.o \
test/test_codec_l16.o \
test/test_codec_l8.o \
test/test_codec_lpc.o \
test/test_codec_gsm.o \
test/test_audio_hw.o \
test/test_video_display.o \
test/test_video_capture.o \
test/test_tv.o \

884
ultragrid/configure vendored
View File

@@ -679,9 +679,6 @@ X_PRE_LIBS
X_LIBS
X_EXTRA_LIBS
X_OBJ
AUDIO_HW_OBJ
AUDIO_HW_INC
AUDIO_HW_LIB
DVS_INC
DVS_LIB
DVS_OBJ
@@ -1305,8 +1302,6 @@ Optional Packages:
--with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
--without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
--with-x use the X Window System
--with-sun-audio=DIR specify Sun audio support home
--with-osprey=DIR specify Osprey (Sun video Plus PCI) support home
--with-hdstation=DIR specify location of DVS HDstation SDK
--with-sdl-prefix=PFX Prefix where SDL is installed (optional)
--with-sdl-exec-prefix=PFX Exec prefix where SDL is installed (optional)
@@ -7042,880 +7037,6 @@ fi
# -------------------------------------------------------------------------------------------------
# Audio device selection, derived from host type. Could be smart and probe
# what's there, but can't guarantee that build host has an audio device. We
# probe devices at startup from those compiled in, so this is not an issue
# when re-distributing binaries.
AUDIO_HW_INC=
AUDIO_HW_LIB=
AUDIO_HW_OBJ="src/audio_hw/null.o"
case "$host_os" in
*solaris*)
SUNAUDIOHOME="/usr/demo/SOUND"
O1KHOME="/opt/SUNWo1kp"
# Check whether --with-sun-audio was given.
if test "${with_sun_audio+set}" = set; then
withval=$with_sun_audio; SUNAUDIOHOME=$withval
fi
AUDIO_HW_INC="$AUDIO_HW_INC -I$SUNAUDIOHOME/include"
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/sparc_util.o src/audio_hw/sparc.o"
cat >>confdefs.h <<\_ACEOF
#define HAVE_SPARC_AUDIO 1
_ACEOF
# Check whether --with-osprey-audio was given.
if test "${with_osprey_audio+set}" = set; then
withval=$with_osprey_audio; O1KHOME=$withval
fi
as_ac_Header=`echo "ac_cv_header_$O1KHOME/include/oti_audio_device.h" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
{ echo "$as_me:$LINENO: checking for $O1KHOME/include/oti_audio_device.h" >&5
echo $ECHO_N "checking for $O1KHOME/include/oti_audio_device.h... $ECHO_C" >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
ac_res=`eval echo '${'$as_ac_Header'}'`
{ echo "$as_me:$LINENO: result: $ac_res" >&5
echo "${ECHO_T}$ac_res" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking $O1KHOME/include/oti_audio_device.h usability" >&5
echo $ECHO_N "checking $O1KHOME/include/oti_audio_device.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <$O1KHOME/include/oti_audio_device.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking $O1KHOME/include/oti_audio_device.h presence" >&5
echo $ECHO_N "checking $O1KHOME/include/oti_audio_device.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <$O1KHOME/include/oti_audio_device.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: $O1KHOME/include/oti_audio_device.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: $O1KHOME/include/oti_audio_device.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: $O1KHOME/include/oti_audio_device.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: $O1KHOME/include/oti_audio_device.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $O1KHOME/include/oti_audio_device.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: $O1KHOME/include/oti_audio_device.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $O1KHOME/include/oti_audio_device.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $O1KHOME/include/oti_audio_device.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $O1KHOME/include/oti_audio_device.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $O1KHOME/include/oti_audio_device.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $O1KHOME/include/oti_audio_device.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: $O1KHOME/include/oti_audio_device.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: $O1KHOME/include/oti_audio_device.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: $O1KHOME/include/oti_audio_device.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: $O1KHOME/include/oti_audio_device.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: $O1KHOME/include/oti_audio_device.h: in the future, the compiler will take precedence" >&2;}
;;
esac
{ echo "$as_me:$LINENO: checking for $O1KHOME/include/oti_audio_device.h" >&5
echo $ECHO_N "checking for $O1KHOME/include/oti_audio_device.h... $ECHO_C" >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
eval "$as_ac_Header=\$ac_header_preproc"
fi
ac_res=`eval echo '${'$as_ac_Header'}'`
{ echo "$as_me:$LINENO: result: $ac_res" >&5
echo "${ECHO_T}$ac_res" >&6; }
fi
if test `eval echo '${'$as_ac_Header'}'` = yes; then
AUDIO_HW_INC="$AUDIO_HW_INC -I$O1KHOME/include"
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/solaris_osprey.o"
cat >>confdefs.h <<\_ACEOF
#define HAVE_OSPREY_AUDIO 1
_ACEOF
fi
;;
*linux*)
# Do we have telephony drivers?
if test "${ac_cv_header_linux_telephony_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for linux/telephony.h" >&5
echo $ECHO_N "checking for linux/telephony.h... $ECHO_C" >&6; }
if test "${ac_cv_header_linux_telephony_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_telephony_h" >&5
echo "${ECHO_T}$ac_cv_header_linux_telephony_h" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking linux/telephony.h usability" >&5
echo $ECHO_N "checking linux/telephony.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <linux/telephony.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking linux/telephony.h presence" >&5
echo $ECHO_N "checking linux/telephony.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <linux/telephony.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: linux/telephony.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: linux/telephony.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: linux/telephony.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: linux/telephony.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: linux/telephony.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: linux/telephony.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: linux/telephony.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: linux/telephony.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: linux/telephony.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: linux/telephony.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: linux/telephony.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: linux/telephony.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: linux/telephony.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: linux/telephony.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: linux/telephony.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: linux/telephony.h: in the future, the compiler will take precedence" >&2;}
;;
esac
{ echo "$as_me:$LINENO: checking for linux/telephony.h" >&5
echo $ECHO_N "checking for linux/telephony.h... $ECHO_C" >&6; }
if test "${ac_cv_header_linux_telephony_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_linux_telephony_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_telephony_h" >&5
echo "${ECHO_T}$ac_cv_header_linux_telephony_h" >&6; }
fi
if test $ac_cv_header_linux_telephony_h = yes; then
{ echo "$as_me:$LINENO: checking for recent telephony drivers" >&5
echo $ECHO_N "checking for recent telephony drivers... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <linux/telephony.h>
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
$EGREP "PHONE_CID" >/dev/null 2>&1; then
{ echo "$as_me:$LINENO: result: present" >&5
echo "${ECHO_T}present" >&6; }
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/linux_ixj.o"
cat >>confdefs.h <<\_ACEOF
#define HAVE_IXJ_AUDIO 1
_ACEOF
else
{ echo "$as_me:$LINENO: result: missing" >&5
echo "${ECHO_T}missing" >&6; }
fi
rm -f conftest*
fi
# Do we have ALSA?
if test "${ac_cv_header_alsa_asoundlib_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for alsa/asoundlib.h" >&5
echo $ECHO_N "checking for alsa/asoundlib.h... $ECHO_C" >&6; }
if test "${ac_cv_header_alsa_asoundlib_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_alsa_asoundlib_h" >&5
echo "${ECHO_T}$ac_cv_header_alsa_asoundlib_h" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking alsa/asoundlib.h usability" >&5
echo $ECHO_N "checking alsa/asoundlib.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <alsa/asoundlib.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking alsa/asoundlib.h presence" >&5
echo $ECHO_N "checking alsa/asoundlib.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <alsa/asoundlib.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: alsa/asoundlib.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: alsa/asoundlib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: alsa/asoundlib.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: alsa/asoundlib.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: alsa/asoundlib.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: alsa/asoundlib.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: alsa/asoundlib.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: alsa/asoundlib.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: alsa/asoundlib.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: alsa/asoundlib.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: alsa/asoundlib.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: alsa/asoundlib.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: alsa/asoundlib.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: alsa/asoundlib.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: alsa/asoundlib.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: alsa/asoundlib.h: in the future, the compiler will take precedence" >&2;}
;;
esac
{ echo "$as_me:$LINENO: checking for alsa/asoundlib.h" >&5
echo $ECHO_N "checking for alsa/asoundlib.h... $ECHO_C" >&6; }
if test "${ac_cv_header_alsa_asoundlib_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_alsa_asoundlib_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_alsa_asoundlib_h" >&5
echo "${ECHO_T}$ac_cv_header_alsa_asoundlib_h" >&6; }
fi
if test $ac_cv_header_alsa_asoundlib_h = yes; then
{ echo "$as_me:$LINENO: checking for main in -lasound" >&5
echo $ECHO_N "checking for main in -lasound... $ECHO_C" >&6; }
if test "${ac_cv_lib_asound_main+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lasound -L${DVS_LIB} $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
int
main ()
{
return main ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
ac_cv_lib_asound_main=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_asound_main=no
fi
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_asound_main" >&5
echo "${ECHO_T}$ac_cv_lib_asound_main" >&6; }
if test $ac_cv_lib_asound_main = yes; then
FOUND_ALSA_L=yes
else
FOUND_ALSA_L=no
fi
else
echo "alsa/asoundlib.h not found."
fi
if test $FOUND_ALSA_L = yes
then
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/linux_alsa.o"
AUDIO_HW_LIB="$AUDIO_HW_LIB -lasound"
cat >>confdefs.h <<\_ACEOF
#define HAVE_ALSA_AUDIO 1
_ACEOF
# HAVE_OSS_AUDIO is defined so that the ALSA OSS emulation
# works for those cards which are not supported natively
cat >>confdefs.h <<\_ACEOF
#define HAVE_OSS_AUDIO 1
_ACEOF
fi
# Default is to use OSS drivers...
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/linux_oss.o"
for ac_header in sys/soundcard.h soundcard.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
{ echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
ac_res=`eval echo '${'$as_ac_Header'}'`
{ echo "$as_me:$LINENO: result: $ac_res" >&5
echo "${ECHO_T}$ac_res" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <$ac_header>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <$ac_header>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
;;
esac
{ echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
eval "$as_ac_Header=\$ac_header_preproc"
fi
ac_res=`eval echo '${'$as_ac_Header'}'`
{ echo "$as_me:$LINENO: result: $ac_res" >&5
echo "${ECHO_T}$ac_res" >&6; }
fi
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
fi
done
cat >>confdefs.h <<\_ACEOF
#define HAVE_OSS_AUDIO 1
_ACEOF
;;
*freebsd*)
# PC Speaker device on FreeBSD
for ac_header in machine/pcaudioio.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
{ echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
ac_res=`eval echo '${'$as_ac_Header'}'`
{ echo "$as_me:$LINENO: result: $ac_res" >&5
echo "${ECHO_T}$ac_res" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <$ac_header>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <$ac_header>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
;;
esac
{ echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
eval "$as_ac_Header=\$ac_header_preproc"
fi
ac_res=`eval echo '${'$as_ac_Header'}'`
{ echo "$as_me:$LINENO: result: $ac_res" >&5
echo "${ECHO_T}$ac_res" >&6; }
fi
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
fi
done
if test $ac_cv_header_machine_h="yes" ; then
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/freebsd_pca.o"
cat >>confdefs.h <<\_ACEOF
#define HAVE_PCA_AUDIO 1
_ACEOF
fi
# Note luigi and newpcm have compatible soundcard.h files but
# mixer behaves differently under both systems. During runtime
# only one of these modules will be used.
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/freebsd_luigi.o src/audio_hw/freebsd_newpcm.o"
cat >>confdefs.h <<\_ACEOF
#define HAVE_LUIGI_AUDIO 1
_ACEOF
cat >>confdefs.h <<\_ACEOF
#define HAVE_NEWPCM_AUDIO 1
_ACEOF
;;
*irix*)
AUDIO_HW_LIB="$AUDIO_HW_LIB -laudio"
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/irix.o"
cat >>confdefs.h <<\_ACEOF
#define HAVE_SGI_AUDIO 1
_ACEOF
;;
*darwin*)
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/macosx.o"
AUDIO_HW_LIB="$AUDIO_HW_LIB -framework CoreAudio -framework AudioToolbox -framework AudioUnit -framework CoreServices "
cat >>confdefs.h <<\_ACEOF
#define HAVE_MACOSX_AUDIO 1
_ACEOF
;;
esac
# -------------------------------------------------------------------------------------------------
# Do we have FireWire/DV support?
@@ -11838,9 +10959,6 @@ X_PRE_LIBS!$X_PRE_LIBS$ac_delim
X_LIBS!$X_LIBS$ac_delim
X_EXTRA_LIBS!$X_EXTRA_LIBS$ac_delim
X_OBJ!$X_OBJ$ac_delim
AUDIO_HW_OBJ!$AUDIO_HW_OBJ$ac_delim
AUDIO_HW_INC!$AUDIO_HW_INC$ac_delim
AUDIO_HW_LIB!$AUDIO_HW_LIB$ac_delim
DVS_INC!$DVS_INC$ac_delim
DVS_LIB!$DVS_LIB$ac_delim
DVS_OBJ!$DVS_OBJ$ac_delim
@@ -11864,7 +10982,7 @@ LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 90; then
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 87; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5

View File

@@ -204,90 +204,6 @@ AC_SUBST(X_EXTRA_LIBS)
AC_SUBST(X_PRE_LIBS)
AC_SUBST(X_OBJ)
# -------------------------------------------------------------------------------------------------
# Audio device selection, derived from host type. Could be smart and probe
# what's there, but can't guarantee that build host has an audio device. We
# probe devices at startup from those compiled in, so this is not an issue
# when re-distributing binaries.
AUDIO_HW_INC=
AUDIO_HW_LIB=
AUDIO_HW_OBJ="src/audio_hw/null.o"
case "$host_os" in
*solaris*)
SUNAUDIOHOME="/usr/demo/SOUND"
O1KHOME="/opt/SUNWo1kp"
AC_ARG_WITH(sun-audio, [ --with-sun-audio=DIR specify Sun audio support home], SUNAUDIOHOME=$withval)
AUDIO_HW_INC="$AUDIO_HW_INC -I$SUNAUDIOHOME/include"
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/sparc_util.o src/audio_hw/sparc.o"
AC_DEFINE(HAVE_SPARC_AUDIO)
AC_ARG_WITH(osprey-audio, [ --with-osprey=DIR specify Osprey (Sun video Plus PCI) support home], O1KHOME=$withval)
AC_CHECK_HEADER($O1KHOME/include/oti_audio_device.h,
[AUDIO_HW_INC="$AUDIO_HW_INC -I$O1KHOME/include"
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/solaris_osprey.o"
AC_DEFINE(HAVE_OSPREY_AUDIO)])
;;
*linux*)
# Do we have telephony drivers?
AC_CHECK_HEADER(linux/telephony.h,[
AC_MSG_CHECKING([for recent telephony drivers])
AC_EGREP_HEADER(PHONE_CID, linux/telephony.h,[
AC_MSG_RESULT(present)
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/linux_ixj.o"
AC_DEFINE(HAVE_IXJ_AUDIO)
],AC_MSG_RESULT(missing))
])
# Do we have ALSA?
AC_CHECK_HEADER(alsa/asoundlib.h,
[AC_CHECK_LIB(asound, main, FOUND_ALSA_L=yes, FOUND_ALSA_L=no, -L${DVS_LIB})],
[echo "alsa/asoundlib.h not found."])
if test $FOUND_ALSA_L = yes
then
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/linux_alsa.o"
AUDIO_HW_LIB="$AUDIO_HW_LIB -lasound"
AC_DEFINE(HAVE_ALSA_AUDIO)
# HAVE_OSS_AUDIO is defined so that the ALSA OSS emulation
# works for those cards which are not supported natively
AC_DEFINE(HAVE_OSS_AUDIO)
fi
# Default is to use OSS drivers...
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/linux_oss.o"
AC_CHECK_HEADERS(sys/soundcard.h soundcard.h)
AC_DEFINE(HAVE_OSS_AUDIO)
;;
*freebsd*)
# PC Speaker device on FreeBSD
AC_CHECK_HEADERS(machine/pcaudioio.h)
if test $ac_cv_header_machine_h="yes" ; then
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/freebsd_pca.o"
AC_DEFINE(HAVE_PCA_AUDIO)
fi
# Note luigi and newpcm have compatible soundcard.h files but
# mixer behaves differently under both systems. During runtime
# only one of these modules will be used.
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/freebsd_luigi.o src/audio_hw/freebsd_newpcm.o"
AC_DEFINE(HAVE_LUIGI_AUDIO)
AC_DEFINE(HAVE_NEWPCM_AUDIO)
;;
*irix*)
AUDIO_HW_LIB="$AUDIO_HW_LIB -laudio"
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/irix.o"
AC_DEFINE(HAVE_SGI_AUDIO)
;;
*darwin*)
AUDIO_HW_OBJ="$AUDIO_HW_OBJ src/audio_hw/macosx.o"
AUDIO_HW_LIB="$AUDIO_HW_LIB -framework CoreAudio -framework AudioToolbox -framework AudioUnit -framework CoreServices "
AC_DEFINE(HAVE_MACOSX_AUDIO)
;;
esac
AC_SUBST(AUDIO_HW_OBJ)
AC_SUBST(AUDIO_HW_INC)
AC_SUBST(AUDIO_HW_LIB)
# -------------------------------------------------------------------------------------------------
# Do we have FireWire/DV support?